/* Main content ================ */

:root {
  --page-content-padding-top: 60px;
  --page-content-padding-bottom: 40px;

  --page-content-single-padding-bottom: 120px;

  @media (--desktop-large-max) {
    --page-content-padding-top: 40px;

    --page-content-single-padding-bottom: 80px;
  }

  @media (--desktop-max) {
    --page-content-padding-bottom: 0;
  }

  @media (--laptop-small-max) {
    --page-content-single-padding-bottom: 60px;
  }

  @media (--tablet-small-max) {
    --page-content-padding-top: 20px;
    --page-content-single-padding-bottom: 30px;
  }
}

.page__content {
  padding-top: var(--page-content-padding-top);
  padding-bottom: var(--page-content-padding-bottom);

  &:only-child {
    padding-bottom: var(--page-content-single-padding-bottom);
  }
}

.main-content__header {
  display: flex;
  align-items: center;
  justify-content: space-between;

  @media (--laptop-small-max) {
    flex-direction: column;
    justify-content: flex-start;
  }
}

.main-content__button {
  flex-shrink: 0;

  @media (--laptop-small-max) {
    margin-top: 20px;
  }
}

.main-content__title {
  margin-top: 0;
  margin-bottom: 0;

  @media (--laptop-small-max) {
    padding-right: 20px;
    padding-left: 20px;
    text-align: center;
  }

  @media (--tablet-max) {
    padding-right: 0;
    padding-left: 0;
  }
}

.main-content__title--centered {
  max-width: 1000px;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}

.main-content__subtitle {
  margin-top: 20px;
  margin-bottom: 20px;
  font-size: var(--text-size-h4);

  @media (--desktop-large-max) {
    font-size: 26px;
  }

  @media (--laptop-max) {
    margin: 10px auto;
  }

  @media (--laptop-small-max) {
    padding-right: 20px;
    padding-left: 20px;
    text-align: center;
  }

  @media (--tablet-max) {
    padding-right: 10px;
    padding-left: 10px;
  }
}

.main-content__subtitle--centered {
  text-align: center;
}

.main-content__subtitle--white {
  color: var(--color-white);
}
/* ================ end main content */
